Update Domain Settings
curl --request PATCH \
--url https://api.gcore.com/waap/v1/domains/{domain_id}/settings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ddos": {
"global_threshold": 25125,
"burst_threshold": 5015
},
"api": {
"is_api": true,
"api_urls": [
"api/v1/.*",
"v2/.*"
]
}
}
'import requests
url = "https://api.gcore.com/waap/v1/domains/{domain_id}/settings"
payload = {
"ddos": {
"global_threshold": 25125,
"burst_threshold": 5015
},
"api": {
"is_api": True,
"api_urls": ["api/v1/.*", "v2/.*"]
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ddos: {global_threshold: 25125, burst_threshold: 5015},
api: {is_api: true, api_urls: ['api/v1/.*', 'v2/.*']}
})
};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Domains
Update Domain Settings
Update settings for a specific domain
PATCH
/
waap
/
v1
/
domains
/
{domain_id}
/
settings
Update Domain Settings
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
The domain ID
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I